/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>XData Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XDataType#getAttributes <em>Attributes</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXDataType()
 * @model
 * @generated
 */
public interface XDataType extends Model
{
  /**
   * Returns the value of the '<em><b>Attributes</b></em>' containment reference list.
   * The list contents are of type {@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.Property}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Attributes</em>' containment reference list.
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXDataType_Attributes()
   * @model containment="true"
   * @generated
   */
  EList<Property> getAttributes();

} // XDataType
